curl --request PATCH \
--url https://{defaultHost}/v1/parcel_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parcel_template": {
"name": "Medium Box"
}
}
'import requests
url = "https://{defaultHost}/v1/parcel_templates/{id}"
payload = { "parcel_template": { "name": "Medium Box" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parcel_template: {name: 'Medium Box'}})
};
fetch('https://{defaultHost}/v1/parcel_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "80546b3c-9e0b-4ece-be62-3767ef1729eb",
"object": "parcel_template",
"default": false,
"dimensions": {
"length": 10,
"width": 8,
"height": 6,
"unit": "in"
},
"name": "Medium Box",
"package_type": "box",
"weight": 5,
"weight_unit": "lb",
"carrier_parcel_template_token": null,
"carrier_token": null,
"carrier_name": null,
"carrier_logo_url": null,
"shipping_provider": null,
"created_at": 1787228419,
"updated_at": 1787228420
}Update
Updates a specific parcel template.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this parcel template is the account's default.
A name for this parcel template.
The type of package – one of box, poly_mailer.
The physical dimensions of this parcel template. Populated from the carrier's own preset when carrier_parcel_template_token resolves to a fixed-size package, and required otherwise.
Show child attributes
Show child attributes
The weight of this parcel template.
The weight unit for this parcel template – one of lb, oz, kg, g.
The token of a carrier parcel template (e.g. USPS_SmallFlatRateBox). When set, dimensions are populated from the carrier's own preset unless it allows custom dimensions, and shipments using this parcel template are quoted for that carrier only. Set to null to turn this back into a plain parcel template.
Expandable – The associated shipping provider ID.
The token of the carrier that provides this template's carrier parcel template, if any (e.g. fedex).
The display name of the carrier that provides this template's carrier parcel template, if any (e.g. FedEx).
URL of the carrier's logo. Null if this template is not carrier provided, or if no logo is available for that carrier.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?